The Spring Framework

## org.springframework.scripting.jruby
Class JRubyScriptUtils.JRubyExecutionException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.springframework.core.NestedRuntimeException
                      org.springframework.scripting.jruby.JRubyScriptUtils.JRubyExecutionException

All Implemented Interfaces:
  Serializable

Enclosing class:
  JRubyScriptUtils

    public static class JRubyScriptUtils.JRubyExecutionException

extends NestedRuntimeException

Exception thrown in response to a JRuby `RaiseException` being thrown from a JRuby method invocation.

Introduced because the `RaiseException` class does not have useful `Object.toString()`, `Throwable.getMessage()`, and `Throwable.printStackTrace()` implementations.

See Also:
  Serialized Form

Constructor Summary
`JRubyScriptUtils.JRubyExecutionException(org.jruby.exceptions.RaiseException ex)` Create a new `JRubyException`, wrapping the given JRuby `RaiseException`.

Method Summary

Methods inherited from class org.springframework.core.NestedRuntimeException
`contains, getMessage, getMostSpecificCause, getRootCause`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JRubyScriptUtils.JRubyExecutionException

    public JRubyScriptUtils.JRubyExecutionException(org.jruby.exceptions.RaiseException ex)

  Create a new `JRubyException`, wrapping the given JRuby `RaiseException`.

  Parameters:
    `ex` - the cause (must not be `null`)

The Spring Framework

Copyright © 2002-2008 The Spring Framework.